> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trending Search Pools

> To query all the trending search pools across all networks on GeckoTerminal

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Unverified token market cap returns `null` — the displayed value on GeckoTerminal may match FDV and might not be accurate.
* Use `include` to return related attributes under the top-level `included` key.

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.pools.trendingSearch.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.pools.trending_search.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /onchain/pools/trending_search
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/pools/trending_search:
    get:
      summary: Trending Search Pools
      description: >-
        To query all the trending search pools across all networks on
        GeckoTerminal
      operationId: trending-search-pools
      parameters:
        - name: include
          in: query
          required: false
          description: |-
            Attributes to include, comma-separated if more than one. 
            Available values: `base_token`, `quote_token`, `dex`, `network`
          schema:
            type: string
        - name: pools
          in: query
          required: false
          description: |-
            Number of pools to return, maximum 10. 
            Default value: 4
          schema:
            type: integer
      responses:
        '200':
          description: Trending search pools across all networks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrendingSearchPools'
              example:
                data:
                  - id: solana_ojW3ZwJMh9J1K2QS7g4YvoMrBso6saH2s7fthijqyoh
                    type: pool
                    attributes:
                      trending_rank: 0
                      address: ojW3ZwJMh9J1K2QS7g4YvoMrBso6saH2s7fthijqyoh
                      name: CYPAW / SOL
                      pool_created_at: '2026-05-26T12:22:03Z'
                      fdv_usd: '2521.4293653196'
                      market_cap_usd: null
                      volume_usd:
                        h24: '1283.0470400706'
                      reserve_in_usd: '3899.9791'
                    relationships:
                      network:
                        data:
                          id: solana
                          type: network
                      dex:
                        data:
                          id: pumpswap
                          type: dex
                      base_token:
                        data:
                          id: solana_JCMoQSqzxNGkQWr4bPK4AzAi7wbBJEJ71ex1qKAxpump
                          type: token
                      quote_token:
                        data:
                          id: solana_So11111111111111111111111111111111111111112
                          type: token
                included:
                  - id: solana_JCMoQSqzxNGkQWr4bPK4AzAi7wbBJEJ71ex1qKAxpump
                    type: token
                    attributes:
                      address: JCMoQSqzxNGkQWr4bPK4AzAi7wbBJEJ71ex1qKAxpump
                      name: CyberPaws
                      symbol: CYPAW
                      decimals: 6
                      image_url: >-
                        https://assets.geckoterminal.com/q0m4wsxl5elcsvbwep1zflp1nbnf
                      coingecko_coin_id: null
                  - id: solana_So11111111111111111111111111111111111111112
                    type: token
                    attributes:
                      address: So11111111111111111111111111111111111111112
                      name: Wrapped SOL
                      symbol: SOL
                      decimals: 9
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989
                      coingecko_coin_id: wrapped-solana
                  - id: pumpswap
                    type: dex
                    attributes:
                      name: PumpSwap
                  - id: solana
                    type: network
                    attributes:
                      name: Solana
                      coingecko_asset_platform_id: solana
components:
  schemas:
    TrendingSearchPools:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
              - relationships
            properties:
              id:
                type: string
                description: Pool identifier
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - trending_rank
                  - address
                  - name
                  - pool_created_at
                  - fdv_usd
                  - market_cap_usd
                  - volume_usd
                  - reserve_in_usd
                properties:
                  trending_rank:
                    type: integer
                    description: Trending search rank (0-based)
                  address:
                    type: string
                    description: Pool contract address
                  name:
                    type: string
                    description: Pool name
                  pool_created_at:
                    type: string
                    description: Pool creation timestamp
                  fdv_usd:
                    type: string
                    nullable: true
                    description: Fully diluted valuation in USD
                  market_cap_usd:
                    type: string
                    nullable: true
                    description: Market cap in USD
                  volume_usd:
                    type: object
                    description: Volume in USD
                    properties:
                      h24:
                        type: string
                  reserve_in_usd:
                    type: string
                    nullable: true
                    description: Total reserve in USD
              relationships:
                type: object
                description: Related resources
                properties:
                  base_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  quote_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  network:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  dex:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        included:
          type: array
          description: >-
            Included related resources, present when include parameter is
            specified
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  address:
                    type: string
                  name:
                    type: string
                  symbol:
                    type: string
                  decimals:
                    type: integer
                  image_url:
                    type: string
                    nullable: true
                  coingecko_coin_id:
                    type: string
                    nullable: true
                  coingecko_asset_platform_id:
                    type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````